Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | List of all members
INIInterface Class Reference

Interface class for Plugins which have to store information in ini files. More...

`#include <OpenFlipper/BasePlugin/INIInterface.hh>`

Inheritance diagram for INIInterface:

## Public Member Functions
virtual | ~INIInterface ()
| Destructor.

## Per object settings
virtual void | loadIniFile (INIFile &_ini, int _id)
| Load per object settings. More...
virtual void | saveIniFile (INIFile &_ini, int _id)
| Save per object settings. More...

## Plugin Options and Settings
virtual void | loadIniFileOptions (INIFile &_ini)
| Load per Plugin settings. More...
virtual void | loadIniFileOptionsLast (INIFile &_ini)
| Load per Plugin settings after objects are loaded. More...
virtual void | saveIniFileOptions (INIFile &_ini)
| Save Plugin Options When the core is about to save an ini file this slot will be called once per Plugin. This Slot will be called after saving the core settings and before objects are saved to the file. More...
virtual void | saveOnExit (INIFile &_ini)
| Save per Plugin settings when application is about to quit. More...

## Detailed Description

Interface class for Plugins which have to store information in ini files.

Using this interface you can store or load additional information to an ini file on a per object basis or settings for your plugin. After basic information is written to the ini file by the core ( or loaded by the core ) the corresponding functions in this Interface will be executed. You get the object id for the object which has to be used. For every object the functions will get called and you have to save your data only for the given object!
The ini file in the functions is already open. You may not close it! Additionally there are two slots which are called once per plugin when writing a settings file. These slots should be used to store information which is used by your plugin.

See Dataflow for a detailed overview of OpenFlipper's data flow and interface function calls.

Definition at line 81 of file INIInterface.hh.

## Member Function Documentation

virtual void INIInterface::loadIniFile | ( | INIFile & | _ini,
|  | int | _id
| ) |  |
| inline private virtual slot

Load per object settings.

Every time the core opens a settings file containing objects the core will call this slot for each object it finds. The object itself is loaded before the slot is called. Therefore the object is available from within your plugin.

Parameters

  _ini | ini file
  _id | Id of the object to load data for

Reimplemented in FileSKLPlugin.

Definition at line 103 of file INIInterface.hh.

virtual void INIInterface::loadIniFileOptions | ( | INIFile & | _ini | ) |
| inline private virtual slot

Load per Plugin settings.

When the core loads an ini file and it contains settings for Plugin or the core itself this slot will be called once per Plugin. This Slot will be called after loading the core settings and before objects are loaded

Parameters

  _ini | ini file

Definition at line 136 of file INIInterface.hh.

virtual void INIInterface::loadIniFileOptionsLast | ( | INIFile & | _ini | ) |
| inline private virtual

Load per Plugin settings after objects are loaded.

When the core loads an ini file and it contains settings for Plugin or the core itself this slot will be called once per Plugin. In contrast to loadIniFileOptions this slot will be called after all objects are loaded

Parameters

  _ini | ini file

Definition at line 147 of file INIInterface.hh.

virtual void INIInterface::saveIniFile | ( | INIFile & | _ini,
|  | int | _id
| ) |  |
| inline private virtual

Save per object settings.

Every time a settings file is created this slot is called once per object. Here you can write additional information handled by your plugin which is attached to the object.

Parameters

  _ini | ini file
  _id | Identifier of the object to save

Reimplemented in FilePolyLinePlugin, and FileSKLPlugin.

Definition at line 114 of file INIInterface.hh.

virtual void INIInterface::saveIniFileOptions | ( | INIFile & | _ini | ) |
| inline private virtual

Save Plugin Options When the core is about to save an ini file this slot will be called once per Plugin. This Slot will be called after saving the core settings and before objects are saved to the file.

Parameters

  _ini | ini file

Definition at line 157 of file INIInterface.hh.

virtual void INIInterface::saveOnExit | ( | INIFile & | _ini | ) |
| inline private virtual

Save per Plugin settings when application is about to quit.

Before the Core is closed, this slot will be called per plugin to save per plugin settings.

Parameters

  _ini | ini file

Definition at line 166 of file INIInterface.hh.

The documentation for this class was generated from the following file:

- OpenFlipper/BasePlugin/INIInterface.hh